Gaucheのバージョン管理ツール gauenv を、Gauche 0.9.10に対応させました。

2020-12-19 08:10:44

以前作った、gauenvというツールがあります。
Gaucheのバージョン管理ツール gauenv をつくった

Gauche 0.9.10 がリリースされたので、
そちらに対応させました。

ryotakato/gauenv

実際には、gauche-buildという方に、1ファイル追加しただけなので、
以前から gauenvを使ってるという奇特な方は、
ホームディレクトリの、
.gauenv/plugins/gauche-build
をgit pullすると、
Guache 0.9.10 をインストールすることができます。

しかし、公式みたらインストールしやすいスクリプトあるんだよね。
しかもバージョン管理もできるっぽい。
Gauche - A Scheme Implementation

gauenvいらないなー。
今度試してみて、上手くいくなら乗り換えるかも。